class CreateActivity < ActiveRecord::Migration[8.0]
  def change
    create_table :activities do |t|
      t.belongs_to :user, foreign_key: true
      t.datetime :started_at, null: false
      t.datetime :ended_at
      t.string :platform
      t.string :item_ref, null: false
      t.string :item_title, null: false
      t.string :item_length
      t.timestamps
    end
  end
end
